libebook::SoftBookParser Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::SoftBookParser Class Reference

`#include <SoftBookParser.h>`

## Public Member Functions
| SoftBookParser (librevenge::RVNGInputStream *input, librevenge::RVNGTextInterface *document)
bool | parse ()

## Private Member Functions
| SoftBookParser (const SoftBookParser &)
SoftBookParser & | operator= (const SoftBookParser &)
void | createTextStream ()
std::shared_ptr< librevenge::RVNGInputStream > | getFileStream (const char *name) const

## Private Attributes
const SoftBookHeader | m_header
librevenge::RVNGInputStream *const | m_input
SoftBookCollector | m_collector
std::shared_ptr< librevenge::RVNGInputStream > | m_resources
std::shared_ptr< librevenge::RVNGInputStream > | m_text

## Constructor & Destructor Documentation

## ◆ SoftBookParser() [1/2]

libebook::SoftBookParser::SoftBookParser | ( | const SoftBookParser & |  | ) |
| private

## ◆ SoftBookParser() [2/2]

libebook::SoftBookParser::SoftBookParser | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGTextInterface * | document
| ) |  |

## Member Function Documentation

## ◆ createTextStream()

void libebook::SoftBookParser::createTextStream | ( |  | ) |
| private

Referenced by parse().

## ◆ getFileStream()

shared_ptr< librevenge::RVNGInputStream > libebook::SoftBookParser::getFileStream | ( | const char * | name | ) | const
| private

Referenced by createTextStream().

## ◆ operator=()

SoftBookParser & libebook::SoftBookParser::operator= | ( | const SoftBookParser & |  | ) |
| private

## ◆ parse()

bool libebook::SoftBookParser::parse | ( |  | ) |

## Member Data Documentation

## ◆ m_collector

SoftBookCollector libebook::SoftBookParser::m_collector
| private

Referenced by parse().

## ◆ m_header

const SoftBookHeader libebook::SoftBookParser::m_header
| private

Referenced by createTextStream(), and parse().

## ◆ m_input

librevenge::RVNGInputStream* const libebook::SoftBookParser::m_input
| private

Referenced by parse().

## ◆ m_resources

std::shared_ptr<librevenge::RVNGInputStream> libebook::SoftBookParser::m_resources
| private

Referenced by createTextStream(), getFileStream(), and parse().

## ◆ m_text

std::shared_ptr<librevenge::RVNGInputStream> libebook::SoftBookParser::m_text
| private

Referenced by createTextStream(), and parse().

The documentation for this class was generated from the following files:

- SoftBookParser.h
- SoftBookParser.cpp